Last modified: 2014-04-07 16:04:11 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24493 - WikiEditor issues (tracking)
WikiEditor issues (tracking)
Status: RESOLVED WORKSFORME
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: tracking
Depends on: 21051 22479 22488 22801 23510 23824 23914 23942 23943 24191 19776 19843 19847 19998 20297 20893 20922 20941 21247 21257 21269 21486 21492 21567 21713 21849 22208 22209 22262 22281 22347 22348 22349 22350 22354 22357 22405 22431 22455 22465 22480 22492 22528 22562 22571 22572 22857 22878 22901 22964 23052 23065 23191 23446 23457 23469 23500 23509 23522 23541 23578 23579 23625 23659 23770 23810 23858 23860 23927 23930 24011 24114 24188 24327 24488 31847 32241 32374 44215
Blocks: tracking
  Show dependency treegraph
 
Reported: 2010-07-22 12:01 UTC by Danny B.
Modified: 2014-04-07 16:04 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Danny B. 2010-07-22 12:01:25 UTC
Tracking bug for enhanced toolbar issues.
Comment 1 Bugmeister Bot 2011-08-19 19:12:53 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 2 Andre Klapper 2012-10-18 19:21:28 UTC
What subset of tickets in the "WikiEditor" component is this meta bug exactly for?
Comment 3 Valerie Juarez 2013-01-23 19:11:31 UTC
Tentatively adding bug 44215 as blocker. Please remove if this is incorrect.
Comment 4 Andre Klapper 2013-02-08 10:17:14 UTC
Danny B.: Which subset of tickets in the "WikiEditor" component is this meta bug exactly for? I'd like to understand why it exists and the purpose it fulfils.
Comment 5 Andre Klapper 2013-03-20 14:50:27 UTC
Looking at this report's history, it was moved from Component "UsabilityInitiative" to "WikiEditor" (which probably was created later).

Remaining open dependency tickets that had been filed under (deprecated) "UsabilityInitiative" component have been moved to "WikiEditor" component, hence I'm closing this report - it's not needed anymore.
Comment 6 Danny B. 2013-03-21 14:41:29 UTC
Tracking bugs are never to be closed unless the subject of tracking no longer exist. Reopening.
Comment 7 Andre Klapper 2013-03-21 14:49:59 UTC
Yes, tracking bugs can be closed, and all "WikiEditor issues" are covered in the WikiEditor component already. Please explain the need for duplication of categorization if you see reasons for keeping this open - I cannot see any currently.
Comment 8 Danny B. 2013-03-21 15:17:30 UTC
1) You obviously don't realize the basic feature differences between components, keywords and tracking bugs:

Compare
 https://bugzilla.wikimedia.org/buglist.cgi?component=WikiEditor
with
 https://bugzilla.wikimedia.org/showdependencytree.cgi?id=24493&hide_resolved=1
 and
 https://bugzilla.wikimedia.org/showdependencygraph.cgi?id=24493

Also please read bug 2007 comment 4 why we use tracking bugs and what for (although it comments keywords only, it applies to components as well).
I specifically emphasize the mailing notifications.

Please do realize the differences between these three (I'm discounting the whiteboard, which is sort of unrestricted keywords) bug sorting methods. Each of them has different features which are usable in different usecases for different monitoring and sorting.


2) As stated in comment 6, tracking bugs are not to be closed unless their subject no longer exists, among other exactly to prevent breaking of features mentioned above.


3) You can't close the bug which depends on other opened bugs - that breaks the dependency tree and is obviously against the logic (and the habit up till now). And please don't dare to cheat by removing them. ;-)
Comment 9 Andre Klapper 2013-03-21 15:42:31 UTC
Danny: My repeated questions here what this specific tracker bug is for remained unanswered, and your last comment is unfortunately only a general explanation of some Bugzilla features and concepts that we're both aware of.

Would you mind answering my previous questions, and what *this* specific tracker bug is for (compared to the list of open issues in the WikiEditor component), which additional value it offers, and for who?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links